#include<stdio.h>
int main()
{
    int n, k, p[80], i, pi;
    scanf("%d%d", &n, &k);
    for(i = 0; i < n; i++)
        scanf("%d", &p[i]);
    for(i = 0; i < n; i++)
    {
            if(i == n - 1)
                pi = p[0];
            else
                pi = p[n + 1];
    }
printf("%d", pi);
return 0;
}